Overview | Modules | Class Hierarchy | Classes | Members

# tlp::node Struct Reference
[Graphs]

class node More...

`#include <Node.h>`

List of all members.

## Public Member Functions

- node ()
- node (unsigned int j)
- operator unsigned int () const
- bool operator!= (const node n) const
- bool operator== (const node n) const
- bool isValid () const

## Public Attributes

- unsigned int id

## Detailed Description

class node

## Constructor & Destructor Documentation

tlp::node::node | ( |  | ) | `[inline]`

tlp::node::node | ( | unsigned int | j | ) | `[inline, explicit]`

## Member Function Documentation

bool tlp::node::isValid | ( |  | ) | const`[inline]`

tlp::node::operator unsigned int | ( |  | ) | const`[inline]`

bool tlp::node::operator!= | ( | const node | n | ) | const`[inline]`

bool tlp::node::operator== | ( | const node | n | ) | const`[inline]`

## Member Data Documentation

unsigned int tlp::node::id

Tulip Software by LaBRI Visualization Team 2001 - 2012